AM261x MCU+ SDK: CPSW host port

| AM261x MCU+ SDK 26.00.00 |

Data Structures | Functions | Enumerations | Macros
CPSW host port
APIs for Networking modules » APIs for Enet LLD » Enet Host Port

## Introduction

The CPSW statistics module implements only the IOCTLs defined in the generic Enet Statistics API. There are no additional CPSW-specific IOCTLs.

The CPSW host port module provides additional IOCTL commands than those supported by the generci Enet Host Port API set.

CPSW host port clocks:

- CPSW_CPPI_CLK - CPSW main clock.

Compile-time configuration:

- ENET_CFG_CPSW_HOSTPORT_TRAFFIC_SHAPING - Traffic shaping (rate limit) support.

## Data Structures
struct | CpswHostPort_FifoStats
| FIFO related statistics of the host port. More...
struct | CpswHostPort_Cfg
| Host port module configuration parameters. More...

## Functions
void | CpswHostPort_initCfg (CpswHostPort_Cfg *hostPortCfg)
| Initialize CPSW host port configuration parameters. More...

## Enumerations
enum | CpswHostPort_Ioctl { CPSW_HOSTPORT_IOCTL_GET_FIFO_STATS = CPSW_HOSTPORT_PUBLIC_IOCTL(0U), CPSW_HOSTPORT_GET_FLOW_ID_OFFSET = CPSW_HOSTPORT_PUBLIC_IOCTL(1U) }
| CPSW HOST port IOCTL commands. More...

## Macros
#define | CPSW_HOSTPORT_PUBLIC_IOCTL(x)
| Helper macro to create IOCTL commands for CPSW host port module. More...

## Macro Definition Documentation

## ◆ CPSW_HOSTPORT_PUBLIC_IOCTL

#define CPSW_HOSTPORT_PUBLIC_IOCTL | ( |  | x | ) |

Value:
(ENET_IOCTL_TYPE_PUBLIC | \
ENET_IOCTL_HOSTPORT_BASE | \
ENET_IOCTL_PER_CPSW | \
ENET_IOCTL_MIN(x))

Helper macro to create IOCTL commands for CPSW host port module.

## Enumeration Type Documentation

## ◆ CpswHostPort_Ioctl

enum CpswHostPort_Ioctl

CPSW HOST port IOCTL commands.

Enumerator
CPSW_HOSTPORT_IOCTL_GET_FIFO_STATS | Get host port's FIFO statistics. IOCTL parameters: inArgs: None outArgs: CpswHostPort_FifoStats
CPSW_HOSTPORT_GET_FLOW_ID_OFFSET | Get host port flow Id offset. IOCTL parameters: inArgs: None outArgs: uint32_t

## Function Documentation

## ◆ CpswHostPort_initCfg()

void CpswHostPort_initCfg | ( | CpswHostPort_Cfg * | hostPortCfg | ) |

Initialize CPSW host port configuration parameters.

Parameters

  hostPortCfg | Configuration parameters to be initialized

ENET_IOCTL_TYPE_PUBLIC
@ ENET_IOCTL_TYPE_PUBLIC
Definition: enet_ioctl.h:216